ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gary Herndon" <Gary.Hern...@air2web.com>
Subject override=true in ivy settings
Date Tue, 26 Feb 2008 20:37:09 GMT
Hi,
 
I recently tried to upgrade from alpha-2 to latest trunk build (from
2/21/08) and noticed that I had to add an override="true" to my
<ivy:settings> ant task.  I did this, and I was able to build my project
with trunk's ivy, but it broke my old builds (that didn't have
override=true in them).  These buids are already tagged in my svn
repository, so I can't change them.  I have installed ivy-alpha-2.jar
into my build machine's ant_home/lib folder, but I can't update it
because the old tags wont work.  However, if I don't update it, then I
can't use latest trunk (which I need for having ${ivy.branch} set
correctly).
 
Any ideas on what I can do?  I don't want to put a copy of the ivy.jar
file into each project.  I know ivy is in beta and is under no
obligaction to maintain compatibility with alpha, but is there any
reason why override can't default to "true"?
 
Thanks,
Gary

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message